#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './chatviewinterface.ui'
**
** Created: Thu Jan 10 21:46:40 2008
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "chatviewinterface.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qsplitter.h>
#include <qframe.h>
#include <qtextedit.h>
#include <qtoolbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ChatViewInterface as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ChatViewInterface::ChatViewInterface( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ChatViewInterface" );
    ChatViewInterfaceLayout = new QGridLayout( this, 1, 1, 2, 1, "ChatViewInterfaceLayout"); 

    sidebarSplitter_ = new QSplitter( this, "sidebarSplitter_" );
    sidebarSplitter_->setMargin( 1 );
    sidebarSplitter_->setOrientation( QSplitter::Horizontal );
    sidebarSplitter_->setHandleWidth( 6 );
    sidebarSplitter_->setChildrenCollapsible( FALSE );

    messageSplitter_ = new QSplitter( sidebarSplitter_, "messageSplitter_" );
    messageSplitter_->setMargin( 1 );
    messageSplitter_->setOrientation( QSplitter::Vertical );
    messageSplitter_->setHandleWidth( 6 );
    messageSplitter_->setChildrenCollapsible( FALSE );

    khtmlPlaceholder_ = new QFrame( messageSplitter_, "khtmlPlaceholder_" );
    khtmlPlaceholder_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)3, 0, 0, khtmlPlaceholder_->sizePolicy().hasHeightForWidth() ) );
    khtmlPlaceholder_->setMinimumSize( QSize( 250, 250 ) );
    khtmlPlaceholder_->setFrameShape( QFrame::StyledPanel );
    khtmlPlaceholder_->setFrameShadow( QFrame::Sunken );
    khtmlPlaceholder_->setMargin( 2 );

    messageBar_ = new QFrame( messageSplitter_, "messageBar_" );
    messageBar_->setFrameShape( QFrame::NoFrame );
    messageBar_->setFrameShadow( QFrame::Plain );
    messageBar_->setMidLineWidth( 0 );
    messageBar_Layout = new QGridLayout( messageBar_, 1, 1, 1, 6, "messageBar_Layout"); 

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    sendButton_ = new QPushButton( messageBar_, "sendButton_" );
    sendButton_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, sendButton_->sizePolicy().hasHeightForWidth() ) );
    sendButton_->setMinimumSize( QSize( 80, 30 ) );
    layout4->addWidget( sendButton_ );

    newLineButton_ = new QPushButton( messageBar_, "newLineButton_" );
    newLineButton_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, newLineButton_->sizePolicy().hasHeightForWidth() ) );
    newLineButton_->setMinimumSize( QSize( 80, 30 ) );
    layout4->addWidget( newLineButton_ );
    layout5->addLayout( layout4 );
    spacer2 = new QSpacerItem( 20, 10, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout5->addItem( spacer2 );

    messageBar_Layout->addLayout( layout5, 0, 1 );

    messageEdit_ = new QTextEdit( messageBar_, "messageEdit_" );
    messageEdit_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)2, 0, 0, messageEdit_->sizePolicy().hasHeightForWidth() ) );
    messageEdit_->setMinimumSize( QSize( 200, 70 ) );
    messageEdit_->setMaximumSize( QSize( 32767, 32767 ) );

    messageBar_Layout->addWidget( messageEdit_, 0, 0 );

    sidebarContainer_ = new QFrame( sidebarSplitter_, "sidebarContainer_" );
    sidebarContainer_->setFrameShape( QFrame::NoFrame );
    sidebarContainer_->setFrameShadow( QFrame::Plain );
    sidebarContainer_Layout = new QGridLayout( sidebarContainer_, 1, 1, 0, 0, "sidebarContainer_Layout"); 

    sidebar_ = new QToolBox( sidebarContainer_, "sidebar_" );
    sidebar_->setMinimumSize( QSize( 120, 0 ) );
    sidebar_->setCurrentIndex( 0 );

    dummy = new QWidget( sidebar_, "dummy" );
    dummy->setBackgroundMode( QWidget::PaletteBackground );
    sidebar_->addItem( dummy, QString::fromLatin1("") );

    sidebarContainer_Layout->addWidget( sidebar_, 0, 0 );

    ChatViewInterfaceLayout->addWidget( sidebarSplitter_, 0, 0 );
    languageChange();
    resize( QSize(426, 341).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( messageEdit_, SIGNAL( textChanged() ), this, SLOT( messageTextChanged() ) );
    connect( messageEdit_, SIGNAL( returnPressed() ), this, SLOT( enterPressed() ) );
    connect( newLineButton_, SIGNAL( pressed() ), this, SLOT( newLineClicked() ) );
    connect( sendButton_, SIGNAL( pressed() ), this, SLOT( sendClicked() ) );

    // tab order
    setTabOrder( messageEdit_, sendButton_ );
    setTabOrder( sendButton_, newLineButton_ );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ChatViewInterface::~ChatViewInterface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ChatViewInterface::languageChange()
{
    setCaption( tr2i18n( "ChatViewInterface" ) );
    sendButton_->setText( tr2i18n( "S&end" ) );
    sendButton_->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    newLineButton_->setText( tr2i18n( "Ne&w Line" ) );
    newLineButton_->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    sidebar_->setItemLabel( sidebar_->indexOf(dummy), tr2i18n( "Sidebar" ) );
}

void ChatViewInterface::enterPressed()
{
    qWarning( "ChatViewInterface::enterPressed(): Not implemented yet" );
}

void ChatViewInterface::sendClicked()
{
    qWarning( "ChatViewInterface::sendClicked(): Not implemented yet" );
}

void ChatViewInterface::newLineClicked()
{
    qWarning( "ChatViewInterface::newLineClicked(): Not implemented yet" );
}

void ChatViewInterface::messageTextChanged()
{
    qWarning( "ChatViewInterface::messageTextChanged(): Not implemented yet" );
}

void ChatViewInterface::urlClicked(const QString&)
{
    qWarning( "ChatViewInterface::urlClicked(const QString&): Not implemented yet" );
}

#include "chatviewinterface.moc"
