#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './contactframeinterface.ui'
**
** Created: Thu Jan 10 21:46:40 2008
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "contactframeinterface.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <ksqueezedtextlabel.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ksqueezedtextlabel.h"

/*
 *  Constructs a ContactFrameInterface as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ContactFrameInterface::ContactFrameInterface( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ContactFrameInterface" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 48, 0 ) );
    ContactFrameInterfaceLayout = new QVBoxLayout( this, 11, 6, "ContactFrameInterfaceLayout"); 

    unnamed = new QHBoxLayout( 0, 0, 0, "unnamed"); 

    statusPixmapLabel_ = new QLabel( this, "statusPixmapLabel_" );
    statusPixmapLabel_->setMinimumSize( QSize( 20, 20 ) );
    statusPixmapLabel_->setMaximumSize( QSize( 20, 20 ) );
    statusPixmapLabel_->setScaledContents( FALSE );
    statusPixmapLabel_->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    unnamed->addWidget( statusPixmapLabel_ );

    statusLabel_ = new KSqueezedTextLabel( this, "statusLabel_" );
    statusLabel_->setMinimumSize( QSize( 76, 0 ) );
    statusLabel_->setScaledContents( TRUE );
    statusLabel_->setAlignment( int( KSqueezedTextLabel::AlignVCenter | KSqueezedTextLabel::AlignLeft ) );
    unnamed->addWidget( statusLabel_ );
    ContactFrameInterfaceLayout->addLayout( unnamed );

    unnamed_2 = new QHBoxLayout( 0, 0, 0, "unnamed_2"); 

    nowListeningPixmapLabel_ = new QLabel( this, "nowListeningPixmapLabel_" );
    nowListeningPixmapLabel_->setMinimumSize( QSize( 20, 20 ) );
    nowListeningPixmapLabel_->setMaximumSize( QSize( 20, 20 ) );
    nowListeningPixmapLabel_->setScaledContents( FALSE );
    nowListeningPixmapLabel_->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    unnamed_2->addWidget( nowListeningPixmapLabel_ );

    personalMessageLabel_ = new KSqueezedTextLabel( this, "personalMessageLabel_" );
    personalMessageLabel_->setMinimumSize( QSize( 76, 0 ) );
    personalMessageLabel_->setScaledContents( TRUE );
    personalMessageLabel_->setAlignment( int( KSqueezedTextLabel::AlignVCenter | KSqueezedTextLabel::AlignLeft ) );
    unnamed_2->addWidget( personalMessageLabel_ );
    ContactFrameInterfaceLayout->addLayout( unnamed_2 );

    layout27 = new QHBoxLayout( 0, 0, 0, "layout27"); 

    contactPixmapLabel_ = new QLabel( this, "contactPixmapLabel_" );
    contactPixmapLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, contactPixmapLabel_->sizePolicy().hasHeightForWidth() ) );
    contactPixmapLabel_->setMinimumSize( QSize( 48, 48 ) );
    contactPixmapLabel_->setCursor( QCursor( 13 ) );
    contactPixmapLabel_->setFocusPolicy( QLabel::ClickFocus );
    contactPixmapLabel_->setFrameShape( QLabel::StyledPanel );
    contactPixmapLabel_->setFrameShadow( QLabel::Raised );
    contactPixmapLabel_->setScaledContents( TRUE );
    layout27->addWidget( contactPixmapLabel_ );
    spacer1 = new QSpacerItem( 68, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout27->addItem( spacer1 );
    ContactFrameInterfaceLayout->addLayout( layout27 );

    handleLabel_ = new QLabel( this, "handleLabel_" );
    handleLabel_->setMinimumSize( QSize( 96, 0 ) );
    handleLabel_->setPaletteForegroundColor( QColor( 0, 0, 127 ) );
    QFont handleLabel__font(  handleLabel_->font() );
    handleLabel__font.setUnderline( TRUE );
    handleLabel_->setFont( handleLabel__font ); 
    handleLabel_->setCursor( QCursor( 13 ) );
    ContactFrameInterfaceLayout->addWidget( handleLabel_ );

    line_ = new QFrame( this, "line_" );
    line_->setMinimumSize( QSize( 96, 16 ) );
    line_->setPaletteForegroundColor( QColor( 255, 255, 255 ) );
    line_->setFrameShape( QFrame::HLine );
    line_->setFrameShadow( QFrame::Plain );
    line_->setLineWidth( 3 );
    line_->setFrameShape( QFrame::HLine );
    ContactFrameInterfaceLayout->addWidget( line_ );
    languageChange();
    resize( QSize(169, 234).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ContactFrameInterface::~ContactFrameInterface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ContactFrameInterface::languageChange()
{
    setCaption( tr2i18n( "ContactFrameInterface" ) );
    QToolTip::add( statusPixmapLabel_, tr2i18n( "The current status of your contact." ) );
    statusLabel_->setText( QString::null );
    personalMessageLabel_->setText( QString::null );
    QToolTip::add( contactPixmapLabel_, tr2i18n( "Click here to display this contact's profile." ) );
    QToolTip::add( handleLabel_, tr2i18n( "Click to send an email to this contact." ) );
}

#include "contactframeinterface.moc"
