#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kmessviewinterface.ui'
**
** Created: Thu Jan 10 21:48:04 2008
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kmessviewinterface.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <klineedit.h>
#include <ksqueezedtextlabel.h>
#include <qframe.h>
#include <kurllabel.h>
#include <qheader.h>
#include <klistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"
#include "ksqueezedtextlabel.h"
#include "kurllabel.h"
#include "klistview.h"

/*
 *  Constructs a KMessViewInterface as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KMessViewInterface::KMessViewInterface( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KMessViewInterface" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 275, 100 ) );
    KMessViewInterfaceLayout = new QGridLayout( this, 1, 1, 4, 2, "KMessViewInterfaceLayout"); 

    layout6 = new QVBoxLayout( 0, 0, 6, "layout6"); 

    layout17 = new QGridLayout( 0, 1, 1, 0, 6, "layout17"); 
    spacer3 = new QSpacerItem( 20, 16, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout17->addItem( spacer3, 1, 0 );

    onlineStatusPixmapLabel_ = new QLabel( this, "onlineStatusPixmapLabel_" );
    onlineStatusPixmapLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, onlineStatusPixmapLabel_->sizePolicy().hasHeightForWidth() ) );
    onlineStatusPixmapLabel_->setMinimumSize( QSize( 16, 16 ) );
    onlineStatusPixmapLabel_->setMaximumSize( QSize( 16, 16 ) );
    onlineStatusPixmapLabel_->setMargin( 1 );
    onlineStatusPixmapLabel_->setScaledContents( TRUE );

    layout17->addWidget( onlineStatusPixmapLabel_, 0, 0 );

    personalMessageInput_ = new KLineEdit( this, "personalMessageInput_" );
    QFont personalMessageInput__font(  personalMessageInput_->font() );
    personalMessageInput__font.setPointSize( 9 );
    personalMessageInput_->setFont( personalMessageInput__font ); 
    personalMessageInput_->setCursor( QCursor( 13 ) );
    personalMessageInput_->setFocusPolicy( KLineEdit::ClickFocus );
    personalMessageInput_->setAcceptDrops( FALSE );
    personalMessageInput_->setFrameShape( KLineEdit::StyledPanel );
    personalMessageInput_->setLineWidth( 1 );
    personalMessageInput_->setMaxLength( 256 );
    personalMessageInput_->setProperty( "urlDropsEnabled", QVariant( FALSE, 0 ) );
    personalMessageInput_->setProperty( "trapEnterKeyEvent", QVariant( TRUE, 0 ) );
    personalMessageInput_->setEnableSqueezedText( TRUE );

    layout17->addWidget( personalMessageInput_, 1, 1 );

    onlineStatusLabel_ = new KSqueezedTextLabel( this, "onlineStatusLabel_" );
    QFont onlineStatusLabel__font(  onlineStatusLabel_->font() );
    onlineStatusLabel__font.setPointSize( 11 );
    onlineStatusLabel_->setFont( onlineStatusLabel__font ); 

    layout17->addWidget( onlineStatusLabel_, 0, 1 );
    layout6->addLayout( layout17 );

    emailFrame_ = new QFrame( this, "emailFrame_" );
    emailFrame_->setEnabled( TRUE );
    emailFrame_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)4, 0, 0, emailFrame_->sizePolicy().hasHeightForWidth() ) );
    emailFrame_->setFrameShape( QFrame::NoFrame );
    emailFrame_->setFrameShadow( QFrame::Plain );
    emailFrame_->setLineWidth( 0 );
    emailFrame_Layout = new QHBoxLayout( emailFrame_, 0, 0, "emailFrame_Layout"); 

    emailPixmapLabel_ = new QLabel( emailFrame_, "emailPixmapLabel_" );
    emailPixmapLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)4, 0, 0, emailPixmapLabel_->sizePolicy().hasHeightForWidth() ) );
    emailPixmapLabel_->setMinimumSize( QSize( 16, 16 ) );
    emailPixmapLabel_->setMaximumSize( QSize( 16, 16 ) );
    emailPixmapLabel_->setMargin( 1 );
    emailPixmapLabel_->setScaledContents( TRUE );
    emailFrame_Layout->addWidget( emailPixmapLabel_ );

    emailLabel_ = new KURLLabel( emailFrame_, "emailLabel_" );
    emailLabel_->setEnabled( TRUE );
    emailLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)4, 0, 0, emailLabel_->sizePolicy().hasHeightForWidth() ) );
    emailLabel_->setMargin( 0 );
    emailFrame_Layout->addWidget( emailLabel_ );
    layout6->addWidget( emailFrame_ );

    nowListeningFrame_ = new QFrame( this, "nowListeningFrame_" );
    nowListeningFrame_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)4, 0, 0, nowListeningFrame_->sizePolicy().hasHeightForWidth() ) );
    nowListeningFrame_->setFrameShape( QFrame::NoFrame );
    nowListeningFrame_->setFrameShadow( QFrame::Plain );
    nowListeningFrame_->setLineWidth( 0 );
    nowListeningFrame_Layout = new QHBoxLayout( nowListeningFrame_, 0, 3, "nowListeningFrame_Layout"); 

    nowListeningPixmapLabel_ = new QLabel( nowListeningFrame_, "nowListeningPixmapLabel_" );
    nowListeningPixmapLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)4, 0, 0, nowListeningPixmapLabel_->sizePolicy().hasHeightForWidth() ) );
    nowListeningPixmapLabel_->setMinimumSize( QSize( 16, 16 ) );
    nowListeningPixmapLabel_->setMaximumSize( QSize( 16, 16 ) );
    nowListeningPixmapLabel_->setMargin( 1 );
    nowListeningPixmapLabel_->setScaledContents( TRUE );
    nowListeningFrame_Layout->addWidget( nowListeningPixmapLabel_ );

    nowListeningLabel_ = new KSqueezedTextLabel( nowListeningFrame_, "nowListeningLabel_" );
    nowListeningLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)4, 0, 0, nowListeningLabel_->sizePolicy().hasHeightForWidth() ) );
    nowListeningFrame_Layout->addWidget( nowListeningLabel_ );
    layout6->addWidget( nowListeningFrame_ );
    spacer1 = new QSpacerItem( 50, 0, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout6->addItem( spacer1 );

    KMessViewInterfaceLayout->addLayout( layout6, 0, 1 );

    contactListView_ = new KListView( this, "contactListView_" );
    contactListView_->addColumn( QString::null );
    contactListView_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)2, 0, 0, contactListView_->sizePolicy().hasHeightForWidth() ) );
    contactListView_->setFullWidth( TRUE );

    KMessViewInterfaceLayout->addMultiCellWidget( contactListView_, 1, 1, 0, 1 );

    displayPicFrame_ = new QFrame( this, "displayPicFrame_" );
    displayPicFrame_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)1, 0, 0, displayPicFrame_->sizePolicy().hasHeightForWidth() ) );
    displayPicFrame_->setFrameShape( QFrame::NoFrame );
    displayPicFrame_->setFrameShadow( QFrame::Plain );
    displayPicFrame_Layout = new QVBoxLayout( displayPicFrame_, 0, 0, "displayPicFrame_Layout"); 

    currentAccountDisplayPic_ = new QLabel( displayPicFrame_, "currentAccountDisplayPic_" );
    currentAccountDisplayPic_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, currentAccountDisplayPic_->sizePolicy().hasHeightForWidth() ) );
    currentAccountDisplayPic_->setMinimumSize( QSize( 64, 64 ) );
    currentAccountDisplayPic_->setMaximumSize( QSize( 64, 64 ) );
    currentAccountDisplayPic_->setCursor( QCursor( 13 ) );
    currentAccountDisplayPic_->setFrameShape( QLabel::StyledPanel );
    currentAccountDisplayPic_->setFrameShadow( QLabel::Raised );
    currentAccountDisplayPic_->setLineWidth( 1 );
    currentAccountDisplayPic_->setScaledContents( TRUE );
    displayPicFrame_Layout->addWidget( currentAccountDisplayPic_ );
    spacer1_2 = new QSpacerItem( 16, 0, QSizePolicy::Minimum, QSizePolicy::Minimum );
    displayPicFrame_Layout->addItem( spacer1_2 );

    KMessViewInterfaceLayout->addWidget( displayPicFrame_, 0, 0 );
    languageChange();
    resize( QSize(344, 508).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( contactListView_, SIGNAL( contextMenuRequested(QListViewItem*,const QPoint&,int) ), this, SLOT( slotContextMenu(QListViewItem*,const QPoint&,int) ) );
    connect( contactListView_, SIGNAL( clicked(QListViewItem*) ), this, SLOT( slotItemClicked(QListViewItem*) ) );
    connect( emailLabel_, SIGNAL( leftClickedURL() ), this, SLOT( slotEmailLabelClicked() ) );
    connect( personalMessageInput_, SIGNAL( returnPressed() ), this, SLOT( slotPersonalMessageEnterPressed() ) );
    connect( personalMessageInput_, SIGNAL( lostFocus() ), this, SLOT( slotPersonalMessageLostFocus() ) );
    connect( contactListView_, SIGNAL( doubleClicked(QListViewItem*) ), this, SLOT( slotItemDoubleClicked(QListViewItem*) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KMessViewInterface::~KMessViewInterface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KMessViewInterface::languageChange()
{
    setCaption( tr2i18n( "KMessViewInterface" ) );
    personalMessageInput_->setText( tr2i18n( "<Enter your personal message here>" ) );
    QToolTip::add( personalMessageInput_, tr2i18n( "Enter your personal message here" ) );
    nowListeningLabel_->setText( tr2i18n( "Listening to %1" ) );
    contactListView_->header()->setLabel( 0, QString::null );
}

void KMessViewInterface::slotItemDoubleClicked(QListViewItem*)
{
    qWarning( "KMessViewInterface::slotItemDoubleClicked(QListViewItem*): Not implemented yet" );
}

void KMessViewInterface::slotContextMenu(QListViewItem*,const QPoint&,int)
{
    qWarning( "KMessViewInterface::slotContextMenu(QListViewItem*,const QPoint&,int): Not implemented yet" );
}

void KMessViewInterface::slotItemClicked(QListViewItem*)
{
    qWarning( "KMessViewInterface::slotItemClicked(QListViewItem*): Not implemented yet" );
}

void KMessViewInterface::slotEmailLabelClicked()
{
    qWarning( "KMessViewInterface::slotEmailLabelClicked(): Not implemented yet" );
}

void KMessViewInterface::slotPersonalMessageEnterPressed()
{
    qWarning( "KMessViewInterface::slotPersonalMessageEnterPressed(): Not implemented yet" );
}

void KMessViewInterface::slotPersonalMessageLostFocus()
{
    qWarning( "KMessViewInterface::slotPersonalMessageLostFocus(): Not implemented yet" );
}

#include "kmessviewinterface.moc"
