#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './emoticonwidgetinterface.ui'
**
** Created: Thu Jan 10 21:47:52 2008
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "emoticonwidgetinterface.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qlabel.h>
#include <klistbox.h>
#include <kiconview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klistbox.h"
#include "kiconview.h"

/*
 *  Constructs a EmoticonWidgetInterface as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
EmoticonWidgetInterface::EmoticonWidgetInterface( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "EmoticonWidgetInterface" );
    EmoticonWidgetInterfaceLayout = new QVBoxLayout( this, 0, 6, "EmoticonWidgetInterfaceLayout"); 

    tabWidget2 = new QTabWidget( this, "tabWidget2" );
    tabWidget2->setMargin( 0 );

    tab = new QWidget( tabWidget2, "tab" );
    tabLayout = new QVBoxLayout( tab, 11, 6, "tabLayout"); 

    textLabel1 = new QLabel( tab, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    tabLayout->addWidget( textLabel1 );

    emoticonThemesList_ = new KListBox( tab, "emoticonThemesList_" );
    emoticonThemesList_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, emoticonThemesList_->sizePolicy().hasHeightForWidth() ) );
    tabLayout->addWidget( emoticonThemesList_ );
    spacer2 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Preferred );
    tabLayout->addItem( spacer2 );
    tabWidget2->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabWidget2, "tab_2" );
    tabLayout_2 = new QVBoxLayout( tab_2, 11, 6, "tabLayout_2"); 

    textLabel1_2 = new QLabel( tab_2, "textLabel1_2" );
    tabLayout_2->addWidget( textLabel1_2 );

    customEmoticonsView_ = new KIconView( tab_2, "customEmoticonsView_" );
    customEmoticonsView_->setAcceptDrops( FALSE );
    customEmoticonsView_->setHScrollBarMode( KIconView::AlwaysOff );
    customEmoticonsView_->setDragAutoScroll( TRUE );
    customEmoticonsView_->setArrangement( KIconView::LeftToRight );
    customEmoticonsView_->setResizeMode( KIconView::Adjust );
    customEmoticonsView_->setMaxItemTextLength( 7 );
    customEmoticonsView_->setItemsMovable( FALSE );
    customEmoticonsView_->setMode( KIconView::Select );
    tabLayout_2->addWidget( customEmoticonsView_ );

    layout11 = new QHBoxLayout( 0, 0, 6, "layout11"); 
    spacer2_2 = new QSpacerItem( 170, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout11->addItem( spacer2_2 );

    addEmoticonButton_ = new QPushButton( tab_2, "addEmoticonButton_" );
    layout11->addWidget( addEmoticonButton_ );
    spacer2_3 = new QSpacerItem( 12, 12, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout11->addItem( spacer2_3 );

    renameEmoticonButton_ = new QPushButton( tab_2, "renameEmoticonButton_" );
    renameEmoticonButton_->setEnabled( FALSE );
    layout11->addWidget( renameEmoticonButton_ );

    removeEmoticonButton_ = new QPushButton( tab_2, "removeEmoticonButton_" );
    removeEmoticonButton_->setEnabled( FALSE );
    layout11->addWidget( removeEmoticonButton_ );
    tabLayout_2->addLayout( layout11 );
    tabWidget2->insertTab( tab_2, QString::fromLatin1("") );
    EmoticonWidgetInterfaceLayout->addWidget( tabWidget2 );
    languageChange();
    resize( QSize(529, 471).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EmoticonWidgetInterface::~EmoticonWidgetInterface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EmoticonWidgetInterface::languageChange()
{
    setCaption( tr2i18n( "EmoticonWidgetInterface" ) );
    textLabel1->setText( tr2i18n( "Available emoticon styles:" ) );
    tabWidget2->changeTab( tab, tr2i18n( "&Emoticon Themes" ) );
    textLabel1_2->setText( tr2i18n( "Custom emoticons for this account:" ) );
    addEmoticonButton_->setText( tr2i18n( "Add ne&w..." ) );
    addEmoticonButton_->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    QToolTip::add( addEmoticonButton_, tr2i18n( "Click" ) );
    QWhatsThis::add( addEmoticonButton_, tr2i18n( "Click here to add a new customized emoticons to send to your contacts." ) );
    renameEmoticonButton_->setText( tr2i18n( "Re&name" ) );
    renameEmoticonButton_->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QToolTip::add( renameEmoticonButton_, tr2i18n( "Click" ) );
    QWhatsThis::add( renameEmoticonButton_, tr2i18n( "Click here to rename the selected emoticon." ) );
    removeEmoticonButton_->setText( tr2i18n( "Remo&ve" ) );
    removeEmoticonButton_->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QWhatsThis::add( removeEmoticonButton_, tr2i18n( "Select an emoticon and click here to delete it." ) );
    tabWidget2->changeTab( tab_2, tr2i18n( "&Custom Emoticons" ) );
}

#include "emoticonwidgetinterface.moc"
